"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  __name: "msgWarn",
  setup(__props) {
    common_vendor.onLoad(() => {
    });
    const index = common_vendor.ref(0);
    const array = common_vendor.ref(["全部通知", "预警推送", "课表提醒"]);
    const list = common_vendor.ref([
      {
        id: 1,
        title: "预警推送",
        name: "张三",
        type: "越界",
        content: "实验室越界",
        isRead: 1,
        time: "2023-11-30 14:20:20"
      },
      {
        id: 2,
        title: "课表提醒",
        name: "李四",
        warn: "小宝明天（08月09日，星期五有课，请做好准备）",
        isRead: 0,
        time: "2023-11-30 12:20:20"
      }
    ]);
    const bindPickerChange = (e) => {
      index.value = e.detail.value;
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t(array.value[index.value]),
        b: common_vendor.o(bindPickerChange),
        c: index.value,
        d: array.value,
        e: common_vendor.f(list.value, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.time),
            b: item.isRead === 0
          }, item.isRead === 0 ? {} : {}, {
            c: common_vendor.t(item.title),
            d: common_vendor.t(item.name),
            e: item.type
          }, item.type ? {
            f: common_vendor.t(item.type)
          } : {}, {
            g: item.content
          }, item.content ? {
            h: common_vendor.t(item.content)
          } : {}, {
            i: item.warn
          }, item.warn ? {
            j: common_vendor.t(item.warn)
          } : {}, {
            k: item.id
          });
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b8003fe3"], ["__file", "E:/workSpace/WanZai_School_app/pages/msgWarn/msgWarn.vue"]]);
wx.createPage(MiniProgramPage);
